## mysql-workbench-gpl-6.0.2-src.zip

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
# 2.8 needed because of ExternalProject

project(WORKBENCH)


#  About MySQL and CMake
#  http://dev.mysql.com/doc/internals/en/autotools-to-cmake.html
#  http://www.lenzg.net/archives/291-Building-MySQL-Server-with-CMake-on-LinuxUnix.html

#-----------------------------------------------------------------------
# Find packages and other useful checks
#-----------------------------------------------------------------------

# Look for our custom modules in cmake/Modules:
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/build/cmake/Modules/")

find_package(PkgConfig REQUIRED)

find_package(GTK2 2.6.2 REQUIRED gtk gtkmm)
pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
pkg_check_modules(GMODULE REQUIRED gmodule-2.0)
set(GTK2_INCLUDE_DIRS ${GTK2_INCLUDE_DIRS} ${GTHREAD_INCLUDE_DIRS} ${GMODULE_INCLUDE_DIRS})
list(REMOVE_DUPLICATES GTK2_INCLUDE_DIRS)
set(GTK2_LIBRARIES ${GTK2_LIBRARIES} ${GTHREAD_LIBRARIES} ${GMODULE_LIBRARIES})
list(REMOVE_DUPLICATES GTK2_LIBRARIES)

pkg_check_modules(GLIB REQUIRED glib-2.0)

# All known publicly available versions of Antlr3C are buggy

if (SKIP_BUNDLED_ANTLR)
  find_package(Antlr3C)
endif ()
if (ANTLR3C_FOUND)
  set(ANTLR3C_REQUIRED_VERSION "3.4")
  if (${ANTLR3C_VERSION} VERSION_LESS ${ANTLR3C_REQUIRED_VERSION})
    message("Required antlr3c version ${ANTLR3C_REQUIRED_VERSION} but ${ANTLR3C_VERSION} found, using bundled version")
    unset(ANTLR3C_FOUND)
  endif ()
endif ()

# In Ubuntu 13.04, the built-in check for python fails.. so we have to resort to the check with pkg-config (which doesn't work in many distros)
find_package(PythonLibs)
if (NOT PYTHONLIBS_FOUND)
    pkg_check_modules(PYTHON REQUIRED python)
endif ()
set(GRT_DEFINITIONS -DENABLE_PYTHON_MODULES)

find_package(Lua51)
if (LUA51_FOUND)
	set(GRT_DEFINITIONS ${GRT_DEFINITIONS} -DENABLE_LUA_MODULES)
endif()

find_package(MySQL REQUIRED)
if (UNIX)
	set(MYSQL_DEFINITIONS "-DBIG_JOINS=1"  "-fno-strict-aliasing"  "-g")
endif()

find_package(LibXml2 REQUIRED)

find_package(OpenGL REQUIRED)

find_package(CTemplate)
find_package(MySQLCppConn REQUIRED)
find_package(VSqlite REQUIRED)
find_package(TinyXML REQUIRED)

pkg_check_modules(PCRE REQUIRED libpcre libpcrecpp)
pkg_check_modules(CAIRO REQUIRED cairo>=1.5.12)
pkg_check_modules(SQLITE3 REQUIRED sqlite3)
pkg_check_modules(UUID REQUIRED uuid)
pkg_check_modules(LIBZIP REQUIRED libzip)
if (UNIX)
	pkg_check_modules(GNOME_KEYRING gnome-keyring-1)
	if (GNOME_KEYRING_FOUND)
		set(KEYRING_DEFINITION     "HAVE_GNOME_KEYRING")
	else()
		pkg_check_modules(GNOME_KEYRING gnome-keyring)
		if (GNOME_KEYRING_FOUND)
			set(KEYRING_DEFINITION     "HAVE_OLD_GNOME_KEYRING")
		endif()
	endif()
endif()

include (CheckFunctionExists)
check_function_exists (strtol HAVE_STRTOL)
check_function_exists (strtoll HAVE_STRTOLL)
check_function_exists (strtold HAVE_STRTOLD)
check_function_exists (strtoull HAVE_STRTOULL)
check_function_exists (strtoimax HAVE_STRTOIMAX)
check_function_exists (strtoumax HAVE_STRTOUMAX)

if (UNIX)
	if (NOT LIB_INSTALL_DIR)
		set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
	endif()
	if (NOT SHARE_INSTALL_PREFIX)
		set(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
	endif()

	set(WB_INSTALL_DIR              "${CMAKE_INSTALL_PREFIX}")
	set(WB_INSTALL_BIN_DIR          "${CMAKE_INSTALL_PREFIX}/bin")
	set(WB_INSTALL_LIB_DIR          "${LIB_INSTALL_DIR}/mysql-workbench")
	set(WB_PYTHON_MODULES_DIR       "${WB_INSTALL_LIB_DIR}/modules")
	set(WB_INSTALL_SHARED_DIR       "${SHARE_INSTALL_PREFIX}")
	set(WB_PACKAGE_SHARED_DIR       "${SHARE_INSTALL_PREFIX}/mysql-workbench")
	set(WB_PACKAGE_PLUGINS_DIR      "${LIB_INSTALL_DIR}/mysql-workbench/plugins")
	set(WB_PYTHON_MODULES_DATA_DIR  "${SHARE_INSTALL_PREFIX}/mysql-workbench/modules/data")
	set(WB_INSTALL_DOC_DIR          "${SHARE_INSTALL_PREFIX}/doc/mysql-workbench")
endif()

include(ExternalProject)

if (NOT ANTLR3C_FOUND)
  message("Using bundled Antlr C runtime")
  #  Use for Antlr3 the one we have in /ext:
  set(ANTLR3C_INCLUDE_DIRS ${PROJECT_SOURCE_DIR}/ext/antlr-runtime ${PROJECT_SOURCE_DIR}/ext/antlr-runtime/include)
  set(ANTLR3C_LIBRARIES "-L${PROJECT_BINARY_DIR}/antlr-wb -lantlr3c_wb")

  ExternalProject_Add(antlr-wb
    SOURCE_DIR ${PROJECT_SOURCE_DIR}/ext/antlr-runtime
    CONFIGURE_COMMAND autoreconf -i -s && ${PROJECT_SOURCE_DIR}/ext/antlr-runtime/configure
        --prefix=${PROJECT_BINARY_DIR}/antlr-wb
        --libdir=${PROJECT_BINARY_DIR}/antlr-wb
	--disable-abiflags
    BUILD_COMMAND make
    BUILD_IN_SOURCE 1
    INSTALL_COMMAND make install
  )

  link_directories(${PROJECT_BINARY_DIR}/antlr-wb)
endif ()

# Uncomment these lines if at any time you want to force the configure and/or build
# of antlr-wb:
#ExternalProject_Add_Step(antlr-wb forceconfigure
#    COMMAND ${CMAKE_COMMAND} -E echo "Force configure of antlr-wb"
#    DEPENDEES update
#    DEPENDERS configure
#    ALWAYS 1
#)
#ExternalProject_Add_Step(antlr-wb forcebuild
#    COMMAND ${CMAKE_COMMAND} -E echo "Force build of antlr-wb"
#    DEPENDEES configure
#    DEPENDERS build
#    ALWAYS 1
#)


#include(CheckCXXCompilerFlag)
#check_cxx_compiler_flag(-Wall  HAS_ALL_WARNS)
#if (HAS_ALL_WARNS)
#	add_definitions(-Wall)
#endif()
#check_cxx_compiler_flag(-Wsign-compare  HAS_SIGN_COMPARE)
#if (HAS_SIGN_COMPARE)
#	add_definitions(-Wsign-compare)
#endif()

set(BUILD_SHARED_LIBS ON)  # By default all libs will be built as shared libs

# Add some common compiler flags. TODO: Shouldn't this be done checking if whatever compiler
# we use supports each flag to allow for non-gcc compilers in Linux (as above)?
if (CMAKE_COMPILER_IS_GNUCXX)
	add_definitions(-Wall -Wsign-compare -Wextra -Wno-unused -Wno-deprecated -DTIXML_USE_STL=1)
endif()


#-----------------------------------------------------------------------
# Define some useful variables and options
#-----------------------------------------------------------------------

#set(NCORES 3)  # Use this number of cores when compiling
#if(CMAKE_COMPILER_IS_GNUCXX)
#	set(CMAKE_CXX_FLAGS "${CMAKE_CKK_FLAGS} -j${NCORES}")
#	message(STATUS "CMAKE_CXX_FLAGS = ${CMAKE_CXX_FLAGS}")
#	#set(CMAKE_EXE_LINKER_FLAGS "-s")  ## Strip binary
#endif()

set(GRT_LIBRARIES ${PYTHON_LIBRARIES} ${LUA_LIBRARIES} ${LIBXML2_LIBRARIES})
set(GRT_INCLUDE_DIRS ${PYTHON_INCLUDE_DIRS} ${LUA_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

if (UNIX)
	option(USE_UNIXODBC "Use unixODBC instead of iODBC" OFF)
	if (USE_UNIXODBC)
		find_package(UNIXODBC REQUIRED)
		set(ODBC_LIBRARIES ${UNIXODBC_LIBRARIES})
		set(ODBC_INCLUDE_DIRS ${UNIXODBC_INCLUDE_DIRS})
	else ()
		find_package(IODBC REQUIRED)
		set(ODBC_LIBRARIES ${IODBC_LIBRARIES})
		set(ODBC_INCLUDE_DIRS ${IODBC_INCLUDE_DIRS})
	endif()
endif ()

configure_file(${PROJECT_SOURCE_DIR}/MySQLWorkbench.desktop.in ${PROJECT_SOURCE_DIR}/MySQLWorkbench.desktop)

# FIXME: Should this go here? ---v
include_directories(${WORKBENCH_SOURCE_DIR}/plugins/migration/copytable ${WORKBENCH_SOURCE_DIR}/library/base)
include_directories(${GTK2_INCLUDE_DIRS})

add_subdirectory(tools)
add_subdirectory(backend)
add_subdirectory(ext)
add_subdirectory(frontend)
add_subdirectory(images)
add_subdirectory(library)
add_subdirectory(modules)
add_subdirectory(plugins)
add_subdirectory(res)
if (IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/internal)
  add_subdirectory(internal)
endif()

install(FILES MySQLWorkbench.desktop DESTINATION ${WB_INSTALL_SHARED_DIR}/applications)

if (EXISTS COPYING)
    install(FILES README INSTALL COPYING DESTINATION ${WB_INSTALL_DOC_DIR})
    install(FILES build/debian/mysql-workbench-gpl.sharedmimeinfo DESTINATION ${WB_INSTALL_SHARED_DIR}/mime/packages RENAME mysql-workbench.xml)
    install(FILES build/debian/mysql-workbench-gpl.mime DESTINATION ${WB_INSTALL_SHARED_DIR}/mime-info RENAME mysql-workbench.mime)
else ()
    install(FILES README LICENSE.mysql DESTINATION ${WB_INSTALL_DOC_DIR})
    install(FILES build/debian/mysql-workbench-commercial.sharedmimeinfo DESTINATION ${WB_INSTALL_SHARED_DIR}/mime/packages RENAME mysql-workbench.xml)
    install(FILES build/debian/mysql-workbench-commercial.mime DESTINATION ${WB_INSTALL_SHARED_DIR}/mime-info RENAME mysql-workbench.mime)
endif ()

install(FILES build/build_freetds.sh
              samples/models/sakila_full.mwb
	DESTINATION ${WB_PACKAGE_SHARED_DIR}/extras
       )

=== images/CMakeLists.txt ===
add_subdirectory(admin)
add_subdirectory(cursors)
add_subdirectory(grt)
add_subdirectory(home)
add_subdirectory(icons)
add_subdirectory(migration)
add_subdirectory(toolbar)
add_subdirectory(ui)

set(IMAGE_FILES 
    ./sql/auto-completion-column.png
    ./sql/auto-completion-function.png
    ./sql/auto-completion-keyword.png
    ./sql/auto-completion-operator.png
    ./sql/auto-completion-routine.png
    ./sql/auto-completion-schema.png
    ./sql/auto-completion-table.png
    ./sql/auto-completion-view.png
    ./sql/auto-completion-engine.png
    ./sql/qe_main-tb-icon_add-routine.png
    ./sql/qe_main-tb-icon_add-schema.png
    ./sql/qe_main-tb-icon_add-sql-editor.png
    ./sql/qe_main-tb-icon_add-table.png
    ./sql/qe_main-tb-icon_add-view.png
    ./sql/qe_main-tb-icon_execute-sql-file.png
    ./sql/qe_main-tb-icon_open-sql-file.png
    ./sql/qe_main-tb-icon_refresh-conn.png
    ./sql/qe_main-tb-sep.png
    ./sql/qe_main-tb-icon_search_db.png
    ./sql/qe_resultset-tb-switcher_form_off.png
    ./sql/qe_resultset-tb-switcher_form_on.png
    ./sql/qe_resultset-tb-switcher_grid_off.png
    ./sql/qe_resultset-tb-switcher_grid_on.png
    ./sql/qe_resultset-tb-switcher_sql_off.png
    ./sql/qe_resultset-tb-switcher_sql_on.png
    ./sql/qe_sql-editor-tb-icon_autocommit-off.png
    ./sql/qe_sql-editor-tb-icon_autocommit-on.png
    ./sql/qe_sql-editor-tb-icon_beautifier_current.png
    ./sql/qe_sql-editor-tb-icon_beautifier.png
    ./sql/qe_sql-editor-tb-icon_commit.png
    ./sql/qe_sql-editor-tb-icon_execute-current.png
    ./sql/qe_sql-editor-tb-icon_execute.png
    ./sql/qe_sql-editor-tb-icon_explain.png
    ./sql/qe_sql-editor-tb-icon_find.png
    ./sql/qe_sql-editor-tb-icon_open.png
    ./sql/qe_sql-editor-tb-icon_rollback.png
    ./sql/qe_sql-editor-tb-icon_save.png
    ./sql/qe_sql-editor-tb-icon_special-chars-off.png
    ./sql/qe_sql-editor-tb-icon_special-chars-on.png
    ./sql/qe_sql-editor-tb-icon_word-wrap-off.png
    ./sql/qe_sql-editor-tb-icon_word-wrap-on.png
    ./sql/qe_sql-editor-tb-icon_stop-on-error-off.png
    ./sql/qe_sql-editor-tb-icon_stop-on-error-on.png
    ./sql/qe_sql-editor-tb-icon_stop.png
    ./sql/snippet_css.png
    ./sql/snippet_htm.png
    ./sql/snippet_lua.png
    ./sql/snippet_mwb.png
    ./sql/snippet_php.png
    ./sql/snippet_py.png
    ./sql/snippet_sql.png
    ./sql/wb-sidebar-collapse.png
    ./sql/wb-sidebar-expand.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== backend/wbpublic/CMakeLists.txt ===
include_directories(.
    ${CAIRO_INCLUDE_DIRS}
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${PCRE_INCLUDE_DIRS}
    ${MYSQL_INCLUDE_DIRS}
    ${SQLITE3_INCLUDE_DIRS}
    ${CTEMPLATE_INCLUDE_DIRS}
    ${OPENGL_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${VSQLITE_INCLUDE_DIR}
    ${MYSQLCPPCONN_INCLUDE_DIR}
    ${ANTLR3C_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/library
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/library/forms/mforms
    ${PROJECT_SOURCE_DIR}/library/canvas/src
    ${PROJECT_SOURCE_DIR}/library/dbc/src
    ${PROJECT_SOURCE_DIR}/library/mysql-parser
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/ext/scintilla/include
)

add_library(wbpublic
    grt/refresh_ui.cpp
    grt/editor_base.cpp
    grt/parse_utils.cpp
    grt/common.cpp
    grt/grt_dispatcher.cpp
    grt/grt_manager.cpp
    grt/grt_reporter.cpp
    grt/grt_message_list.cpp
    grt/grt_shell.cpp
    grt/grt_string_list_model.cpp
    grt/grt_value_inspector.cpp
    grt/grt_value_tree.cpp
    grt/icon_manager.cpp
    grt/plugin_manager.cpp
    grt/tree_model.cpp
    grt/validation_manager.cpp
    grt/grt_threaded_task.cpp
    grt/action_list.cpp
    grtdb/charset_list.cpp
    grtdb/charset_utils.cpp
    grtdb/db_helpers.cpp
    grtdb/db_object_filter.cpp
    grtdb/db_object_helpers.cpp
    grtdb/db_object_master_filter.cpp
    grtdb/dbobject_roles.cpp
    grtdb/diff_dbobjectmatch.cpp
    grtdb/editor_dbobject.cpp
    grtdb/editor_routine.cpp
    grtdb/editor_routinegroup.cpp
    grtdb/editor_schema.cpp
    grtdb/editor_table.cpp
    grtdb/editor_user.cpp
    grtdb/editor_user_role.cpp
    grtdb/editor_view.cpp
    grtdb/role_tree_model.cpp
    objimpl/db/db_DatabaseObject.cpp
    objimpl/db/db_Schema.cpp
    objimpl/db/db_Table.cpp
    objimpl/db/db_ForeignKey.cpp
    objimpl/db/db_Column.cpp
    objimpl/db/db_Index.cpp
    objimpl/db/db_Trigger.cpp
    objimpl/db/db_RoutineGroup.cpp
    grtsqlparser/module_utils.cpp
    grtsqlparser/sql_facade.cpp
    grtsqlparser/sql_parser_base.cpp
    grtsqlparser/sql_inserts_loader.cpp
    grtsqlparser/sql_semantic_check.cpp
    grtsqlparser/sql_normalizer.cpp
    grtsqlparser/sql_statement_decomposer.cpp
    grtsqlparser/sql_specifics.cpp
    sqlide/sqlide_generics.cpp
    sqlide/sql_editor_be.cpp
    sqlide/sql_editor_be_autocomplete.cpp
    sqlide/var_grid_model_be.cpp
    sqlide/recordset_be.cpp
    sqlide/recordset_data_storage.cpp
    sqlide/recordset_cdbc_storage.cpp
    sqlide/recordset_sql_storage.cpp
    sqlide/recordset_sqlite_storage.cpp
    sqlide/recordset_table_inserts_storage.cpp
    sqlide/recordset_text_storage.cpp
    sqlide/sqlide.cpp
    sqlide/table_inserts_loader_be.cpp
    sqlide/autocomplete_object_name_cache.cpp
    sqlide/sql_script_run_wizard.cpp
    wbcanvas/figure_common.cpp
    wbcanvas/badge_figure.cpp
    wbcanvas/connection_figure.cpp
    wbcanvas/table_figure.cpp
    wbcanvas/table_figure_wb.cpp
    wbcanvas/table_figure_idef1x.cpp
    wbcanvas/table_figure_simple.cpp
    wbcanvas/view_figure.cpp
    wbcanvas/layer_figure.cpp
    wbcanvas/image_figure.cpp
    wbcanvas/note_figure.cpp
    wbcanvas/routine_group_figure.cpp
    wbcanvas/base_bridge.cpp
    wbcanvas/model_model_impl.cpp
    wbcanvas/model_diagram_impl.cpp
    wbcanvas/model_figure_impl.cpp
    wbcanvas/model_layer_impl.cpp
    wbcanvas/model_object_impl.cpp
    wbcanvas/model_connection_impl.cpp
    wbcanvas/workbench_physical_viewfigure_impl.cpp
    wbcanvas/workbench_physical_connection_impl.cpp
    wbcanvas/workbench_physical_model_impl.cpp
    wbcanvas/workbench_physical_diagram_impl.cpp
    wbcanvas/workbench_physical_routinegroupfigure_impl.cpp
    wbcanvas/workbench_physical_tablefigure_impl.cpp
    wbcanvas/workbench_model_notefigure_impl.cpp
    wbcanvas/workbench_model_imagefigure_impl.cpp
    objimpl/model/model_Connection.cpp
    objimpl/model/model_Figure.cpp
    objimpl/model/model_Layer.cpp
    objimpl/model/model_Model.cpp
    objimpl/model/model_Object.cpp
    objimpl/model/model_Diagram.cpp
    objimpl/workbench.model/workbench_model_NoteFigure.cpp
    objimpl/workbench.model/workbench_model_ImageFigure.cpp
    objimpl/workbench.physical/workbench_physical_Connection.cpp
    objimpl/workbench.physical/workbench_physical_RoutineGroupFigure.cpp
    objimpl/workbench.physical/workbench_physical_TableFigure.cpp
    objimpl/workbench.physical/workbench_physical_Diagram.cpp
    objimpl/workbench.physical/workbench_physical_Model.cpp
    objimpl/workbench.physical/workbench_physical_ViewFigure.cpp
    objimpl/workbench.logical/workbench_logical_Model.cpp
    objimpl/workbench.logical/workbench_logical_Diagram.cpp
    objimpl/db.query/db_query_Resultset.cpp
    objimpl/db.query/db_query_QueryBuffer.cpp
    objimpl/db.query/db_query_Editor.cpp
    objimpl/db.query/db_query_EditableResultset.cpp
    objimpl/db.migration/db_migration_Migration.cpp
    objimpl/ui/mforms_ObjectReference.cpp
    objimpl/ui/grt_PyObject.cpp
    objimpl/ui/ui_db_ConnectPanel.cpp
    objimpl/ui/ui_ObjectEditor.cpp
    objimpl/ui/ui_ObjectEditor_impl.cpp
    grtui/grtdb_connect_panel.cpp
    grtui/grtdb_connect_dialog.cpp
    grtui/confirm_save_dialog.cpp
    grtui/binary_data_editor.cpp
    grtui/grtdb_connection_editor.cpp
    grtui/grtdb_object_filter.cpp
    grtui/string_list_editor.cpp
    grtui/grt_wizard_form.cpp
    grtui/grt_wizard_plugin.cpp
    grtui/wizard_progress_page.cpp
    grtui/wizard_finished_page.cpp
    grtui/wizard_schema_filter_page.cpp
    grtui/wizard_object_filter_page.cpp
    grtui/wizard_view_text_page.cpp
    grtui/db_conn_be.cpp
    grtui/gui_plugin_base.cpp
    grtui/text_input_dialog.cpp
    grtui/checkbox_list_control.cpp
    grtui/file_charset_dialog.cpp
    grtui/inserts_export_form.cpp
    grtui/eol_format_dialog.cpp
)

#if (CMAKE_COMPILER_IS_GNUCXX)
#	set_target_properties(wbpublic PROPERTIES
#		COMPILE_FLAGS "-fpermissive"  # For things like the extra qualification in sqlide/sql_editor_be.cpp:116
#	)
#endif()

target_link_libraries(wbpublic wbbase mdcanvas mforms cdbc vsqlitepp wbscintilla mysqlparser ${CAIRO_LIBRARIES} ${GNOME_KEYRING_LIBRARIES} ${CTEMPLATE_LIBRARIES} ${OPENGL_LIBRARIES})

install(TARGETS wbpublic DESTINATION ${WB_INSTALL_LIB_DIR})

=== images/admin/CMakeLists.txt ===
set(IMAGE_FILES
	admin_add_user.png
	admin_audit_inspector.png
	admin_config_wizard.png
	admin_connections.png
	admin_export.png
	admin_info_running.png
	admin_info_stopped.png
	admin_info_unknown.png
	admin_manage_exported.png
	admin_manage_privs.png
	admin_meb_backup.png
	admin_meb_restore.png
	admin_option_file.png
	admin_restore_data.png
	admin_schema_management.png
	admin_scripts.png
	admin_server_logs.png
	admin_server_status.png
	admin_start_stop.png
	admin_status_vars.png
	admin_system_startup.png
	mysql-logo-00.png
	mysql-logo-50.png
	mysql-logo-51.png
	mysql-logo-55.png
	mysql-logo-56.png
	mysql-logo-57.png
	mysql-logo-58.png
	mysql-status-off.png
	mysql-status-on.png
	mysql-status-separator.png
	wb-backup-logo.png
	wb-backup-logo-small.png
	wb_perform_config.png
	title_connections.png
	title_export.png
	title_import.png
	title_logs.png
	title_options.png
	title_startup.png
	title_users.png
	title_variables.png
	../ui/options-horizontal-separator.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== images/toolbar/CMakeLists.txt ===
set(IMAGE_FILES 
    clear_output.png
    debug_continue.png
    debug_pause.png
    debug_step.png
    debug_step_into.png
    debug_step_out.png
    debug_stop.png
    edit_table_templates.png
    query_continue_on_error.png
    query_stop_on_error.png
    record_add.png
    record_back.png
    record_del.png
    record_discard.png
    record_edit.png
    record_export.png
    record_fetch_all.png
    record_fetch_next.png
    record_fetch_prev.png
    record_first.png
    record_import.png
    record_last.png
    record_next.png
    record_save.png
    record_sort_asc.png
    record_sort_desc.png
    record_sort_reset.png
    record_wrap_vertical.png
    snippet_add.png
    snippet_clipboard.png
    snippet_del.png
    snippet_insert.png
    snippet_use.png
    tiny_align_h_left.png
    tiny_align_h_left2.png
    tiny_align_h_middle.png
    tiny_align_h_middle2.png
    tiny_align_h_right.png
    tiny_align_h_right2.png
    tiny_align_v_bottom.png
    tiny_align_v_bottom2.png
    tiny_align_v_middle.png
    tiny_align_v_middle2.png
    tiny_align_v_top.png
    tiny_align_v_top2.png
    tiny_autocommit_off.png
    tiny_autocommit_off_mac.png
    tiny_autocommit_on.png
    tiny_autocommit_on_mac.png
    tiny_bookmark.png
    tiny_bookmark_mac.png
    tiny_cancel.png
    tiny_cancel_disabled.png
    tiny_cancel_mac.png
    tiny_commit.png
    tiny_commit_disabled.png
    tiny_commit_mac.png
    tiny_execute.png
    tiny_execute_current.png
    tiny_execute_current_mac.png
    tiny_execute_disabled.png
    tiny_execute_mac.png
    tiny_explain.png
    tiny_explain_mac.png
    tiny_grid.png
    tiny_gridview.png
    tiny_grtshell.png
    tiny_hidesidebar.png
    tiny_less_space.png
    tiny_load.png
    tiny_loadsql.png
    tiny_loadsql_mac.png
    tiny_lock.png
    tiny_manage_connections.png
    tiny_manage_instances.png
    tiny_more_space.png
    tiny_new.png
    tiny_new_diagram.png
    tiny_new_doc.png
    tiny_new_routine.png
    tiny_new_schema.png
    tiny_new_script.png
    tiny_new_script_mac.png
    tiny_new_table.png
    tiny_new_view.png
    tiny_open.png
    tiny_open_mac.png
    tiny_print_mac.png
    tiny_reconnect.png
    tiny_reconnect_mac.png
    tiny_redo.png
    tiny_redo_mac.png
    tiny_refresh.png
    tiny_refresh_plugins.png
    tiny_rollback.png
    tiny_rollback_disabled.png
    tiny_rollback_mac.png
    tiny_ruler.png
    tiny_save.png
    tiny_save_mac.png
    tiny_saveas.png
    tiny_saveas_mac.png
    tiny_savesql.png
    tiny_savesql_mac.png
    tiny_search.png
    tiny_undo.png
    tiny_undo_mac.png
    wb_arrow.png
    wb_db_routinegroup.png
    wb_db_table.png
    wb_db_view.png
    wb_draw_ellipse.png
    wb_draw_freehand.png
    wb_draw_line.png
    wb_draw_polygon.png
    wb_draw_rect.png
    wb_hand.png
    wb_image.png
    wb_layer.png
    wb_magnifier.png
    wb_note.png
    wb_rel_11.png
    wb_rel_11_nonid.png
    wb_rel_1n.png
    wb_rel_1n_nonid.png
    wb_rel_1n_pick.png
    wb_rel_nm.png
    wb_rubber.png
    wb-toolbar_nav-back_18x18.png
    wb-toolbar_nav-back_36x36.png
    wb-toolbar_nav-forward_18x18.png
    wb-toolbar_nav-forward_36x36.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== library/base/CMakeLists.txt ===
#set(CMAKE_CXX_FLAGS  ${CMAKE_CXX_FLAGS} "-Wall -Wsign-compare ${CAIRO_CFLAGS}")

add_library(wbbase util_functions.cpp sqlstring.cpp file_functions.cpp file_utilities.cpp threaded_timer.cpp string_utilities.cpp geometry.cpp notifications.cpp ui_form.cpp config_file.cpp drawing.cpp log_impl.cpp threading.cpp profiling.cpp)

target_link_libraries(wbbase ${CAIRO_LIBRARIES} ${GLIB_LIBRARIES} ${GTHREAD_LIBRARIES})

install(TARGETS wbbase DESTINATION ${WB_INSTALL_LIB_DIR})

=== modules/db.mysql/CMakeLists.txt ===
set(PY_FILES 
    db_mysql_re_grt.py
    db_mysql_fe_grt.py
    db_mysql_migration_grt.py
)
install(FILES ${PY_FILES} DESTINATION ${WB_PYTHON_MODULES_DIR})

set(MODULE_DATA_FILES
    res/mysql_engines.xml
    res/mysql_rdbms_info.xml
    res/mysql_reserved.xml
)
install(FILES ${MODULE_DATA_FILES} DESTINATION ${WB_PYTHON_MODULES_DATA_DIR})

set(BASIC_FILES
    res/db_mysql_catalog_reporting/Basic_Text.tpl/basic_text_report.txt.tpl
)
install(FILES ${BASIC_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/db_mysql_catalog_reporting/Basic_Text.tpl)


include_directories(.
    ${GTK2_INCLUDE_DIRS}
    ${PCRE_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${CTEMPLATE_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${VSQLITE_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/library/grt/src/diff 
    ${PROJECT_SOURCE_DIR}/library/sql-parser/include
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source
    ${PROJECT_SOURCE_DIR}/modules/db.mysql/src
)

add_library(db.mysql.grt
    src/db_mysql_catalog_report.cpp
    src/db_mysql_diffsqlgen.cpp
    src/db_mysql_params.cpp
    src/module_db_mysql.cpp
)

set_target_properties(db.mysql.grt PROPERTIES
#	LINK_FLAGS "-module"
	PREFIX ""
)

target_link_libraries(db.mysql.grt ${GRT_LIBRARIES} ${GTK2_LIBRARIES} ${PCRE_LIBRARIES} ${SIGC++_LIBRARIES} ${CTEMPLATE_LIBRARIES})

install(TARGETS db.mysql.grt DESTINATION ${WB_PYTHON_MODULES_DIR})  #TODO: Is this where it should go?

=== modules/wb.utils/CMakeLists.txt ===
set(PY_FILES
    catalog_utils.grt.lua
    code_utils_grt.py
    table_templates.py
    table_utils_grt.py
    text_grt.py
    wb_dev_utils_grt.py
    wb_utils_grt.py
)

install(FILES ${PY_FILES} DESTINATION ${WB_PYTHON_MODULES_DIR})

=== res/mysql.profiles/CMakeLists.txt ===
set(DATA_FILES 
    "Fedora_Linux_(MySQL_Package).xml"
    "Fedora_Linux_(Vendor_Package).xml"
    "Fedora_Linux_16_(Vendor_Package).xml"
    "Fedora_Linux_15_(Vendor_Package).xml"
    "FreeBSD_(MySQL_Package).xml"
    "Generic_Linux_(MySQL_tar_package).xml"
    "Linux_(Custom).xml"
    "MacOS_X_(MySQL_Package).xml"
    "OpenSolaris_(MySQL_Package).xml"
    "RHEL_(MySQL_Package).xml"
    "Oracle_Linux_6_(MySQL_Package).xml"
    "SLES_(MySQL_Package).xml"
    "Ubuntu_Linux_(MySQL_Package).xml"
    "Ubuntu_Linux_(Vendor_Package).xml"
    "Ubuntu_Linux_(sysvinit,_MySQL_Package).xml"
    "Ubuntu_Linux_(sysvinit,_Vendor_Package).xml"
    "Windows_(MySQL_5.0_x64_Installer_Package).xml"
    "Windows_(MySQL_5.0_x86_Installer_Package).xml"
    "Windows_x64_(MySQL_5.0_x86_Installer_Package).xml"
    "Windows_(MySQL_5.1_x64_Installer_Package).xml"
    "Windows_(MySQL_5.1_x86_Installer_Package).xml"
    "Windows_(MySQL_5.5_x64_Installer_Package).xml"
    "Windows_(MySQL_5.6_x64_Installer_Package).xml"
    "Windows_(MySQL_5.5_x86_Installer_Package).xml"
    "Windows_(MySQL_5.6_x86_Installer_Package).xml"
    "Windows_x64_(MySQL_5.1_x86_Installer_Package).xml"
    "Windows_x64_(MySQL_5.5_x86_Installer_Package).xml"
    "Windows_x64_(MySQL_5.6_x86_Installer_Package).xml"
    "Windows_(MySQL_x64_zip_Package).xml"
    "Windows_(MySQL_x86_zip_Package).xml"
    "Windows_x64_(MySQL_x86_zip_Package).xml"
)

install(FILES ${DATA_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/mysql.profiles)

=== tools/genwrap/CMakeLists.txt ===
include_directories(.
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/grt/src
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/generated
    ${GRT_INCLUDE_DIRS}
    ${PCRE_INCLUDE_DIRS}
)

add_executable(genwrap
    genwrap.cpp
)

target_link_libraries(genwrap grt wbbase wbpublic ${PCRE_LIBRARIES})

=== frontend/linux/workbench/CMakeLists.txt ===
if (CMAKE_COMPILER_IS_GNUCXX)
	add_definitions(-rdynamic)
endif()

set(WORKBENCH_DATA_FILES
    res/wb.glade
    res/model_view.glade
    res/diagram_view.glade
    res/find.glade
    res/diagram_size_form.glade
    res/input_dialog.glade
    workbench.rc
)
install(FILES ${WORKBENCH_DATA_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR})

set(libdir          ${LIB_INSTALL_DIR})
set(libexecdir      ${WB_INSTALL_DIR}/libexec)
set(utilities_cmd   "")
configure_file(mysql-workbench.in mysql-workbench)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/mysql-workbench DESTINATION ${WB_INSTALL_BIN_DIR})

include_directories(.
    ${PROJECT_SOURCE_DIR}
    ${PROJECT_SOURCE_DIR}/library/grt/src
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/backend
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/library/canvas/src
    ${PROJECT_SOURCE_DIR}/backend/wbprivate/workbench
    ${PROJECT_SOURCE_DIR}/frontend/linux/linux_utilities
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/backend/wbpublic/grt
    ${PROJECT_SOURCE_DIR}/backend/wbprivate
    ${PROJECT_SOURCE_DIR}/frontend/linux/
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/library/dbc/src
    ${PROJECT_SOURCE_DIR}/library/forms/gtk
    ${PROJECT_SOURCE_DIR}/generated/grti
    ${PROJECT_SOURCE_DIR}/modules/wb.model/src
    ${PROJECT_SOURCE_DIR}/modules/interfaces
    ${PROJECT_SOURCE_DIR}/ext
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/ext/scintilla/include
    ${PROJECT_SOURCE_DIR}/library/forms/mforms
    ${GTK2_INCLUDE_DIRS}
    ${CAIRO_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${LIBZIP_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
)

#link_directories(${PROJECT_BINARY_DIR}/mysqlcppconnector/lib ${PROJECT_BINARY_DIR}/antlr-wb)

add_executable(mysql-workbench-bin
    main.cpp
    program.cpp
    main_form.cpp
    overview_panel.cpp
    model_panel.cpp
    model_diagram_panel.cpp
    catalog_tree.cpp
    properties_tree.cpp
    navigator_box.cpp
    info_box.cpp
    documentation_box.cpp
    diagram_size_form.cpp
    validation_panel.cpp
    sqlide_form.cpp
    sqlide_query_view.cpp
    sqlide_output_view.cpp
    sqlide_main.cpp
    ../../common/new_server_instance_wizard.cpp
    ../../common/grt_code_editor.cpp
    ../../common/server_instance_editor.cpp
    ../../common/grt_python_debugger.cpp
    ../../common/advanced_sidebar.cpp
    ../../common/snippet_popover.cpp
)

target_link_libraries(mysql-workbench-bin
    mforms
    linux_utilities
    sqlide
    wbprivate
    wbpublic
    wbbase
    grt
    cdbc
    wbscintilla
    mdcanvasgtk
    mdcanvas
    mysqlparser
    ${MYSQLCPPCONN_LIBRARIES}
    ${CTEMPLATE_LIBRARIES}
    ${GTK2_LIBRARIES}
    ${SIGC++_LIBRARIES}
    ${GRT_LIBRARIES}
    ${PCRE_LIBRARIES}
    ${CAIRO_LIBRARIES}
    ${LIBZIP_LIBRARIES}
    ${MYSQL_LIBRARIES}
    ${SQLITE3_LIBRARIES}
)

install(TARGETS mysql-workbench-bin DESTINATION ${WB_INSTALL_DIR}/libexec)

#install(DIRECTORY ${PROJECT_BINARY_DIR}/mysqlcppconnector/lib/ DESTINATION ${WB_INSTALL_LIB_DIR} FILES_MATCHING
#    PATTERN "*.so"
#    PATTERN "*.so.*"
#)
#install(FILES ${PROJECT_BINARY_DIR}/mysqlcppconnector/lib/libmysqlcppconn.so DESTINATION ${WB_INSTALL_LIB_DIR} RENAME mysqlcppconn.so)

=== build/debian/changelog ===
mysql-workbench (6.0.2-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Mon, 27 May 2013 11:10:16 -0300

mysql-workbench (6.0.1-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Wed, 13 Mar 2013 10:15:34 -0300

mysql-workbench (6.0.0-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Mon, 21 Jan 2013 11:01:38 -0300

mysql-workbench (5.2.47-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Mon, 21 Jan 2013 10:42:30 -0300

mysql-workbench (5.2.46-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Fri, 28 Dec 2012 16:25:09 -0300

mysql-workbench (5.2.45-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Thu, 09 Aug 2012 23:17:59 -0300

mysql-workbench (5.2.41-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 24 Apr 2012 23:09:58 -0300

mysql-workbench (5.2.40-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Thu, 12 Jan 2012 14:46:09 -0300

mysql-workbench (5.2.38-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Wed, 02 Nov 2011 20:29:31 -0300

mysql-workbench (5.2.36-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Fri, 27 May 2011 12:42:39 -0700

mysql-workbench (5.2.35-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Mon, 09 May 2011 17:08:46 -0300

mysql-workbench (5.2.34-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 08 Mar 2011 19:55:27 -0300

mysql-workbench (5.2.33-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Thu, 17 Feb 2011 13:45:02 -0300

mysql-workbench (5.2.32-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Fri, 03 Dec 2010 11:40:34 -0300

mysql-workbench (5.2.31-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 23 Nov 2010 12:27:21 -0300

mysql-workbench (5.2.30-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Wed, 29 Sep 2010 19:08:45 -0300

mysql-workbench (5.2.29-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Thu, 16 Sep 2010 21:11:21 -0300

mysql-workbench (5.2.28-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 24 Aug 2010 10:06:33 -0300

mysql-workbench (5.2.26-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <akojima@gmail.com>  Thu, 22 Jul 2010 12:58:44 -0300

mysql-workbench (5.2.25-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 24 Jun 2010 23:44:27 -0300

mysql-workbench (5.2.24-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 17 Jun 2010 00:05:25 -0300

mysql-workbench (5.2.23-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 10 Jun 2010 12:57:48 -0300

mysql-workbench (5.2.22-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 27 May 2010 23:05:25 -0300

mysql-workbench (5.2.21-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Sat, 01 May 2010 19:27:07 -0300

mysql-workbench (5.2.20-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Sat, 24 Apr 2010 14:19:45 -0300

mysql-workbench (5.2.19-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 15 Apr 2010 09:45:19 -0300

mysql-workbench (5.2.18-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Sun, 11 Apr 2010 00:55:22 -0300

mysql-workbench (5.2.17-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Mon, 22 Feb 2010 10:46:37 +0100

mysql-workbench (5.2.16-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Wed, 10 Feb 2010 17:46:06 -0300

mysql-workbench (5.2.15-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 25 Jan 2010 10:49:16 -0300

mysql-workbench (5.2.14-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 20 Jan 2010 15:34:01 +0100

mysql-workbench (5.2.13-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Tue, 19 Jan 2010 00:50:59 -0300

mysql-workbench (5.2.12-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 15 Jan 2010 09:32:44 +0100

mysql-workbench (5.2.11-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 11 Dec 2009 14:55:19 +0100

mysql-workbench (5.2.10-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Mon, 30 Nov 2009 12:47:31 +0100

mysql-workbench (5.2.9-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Thu, 26 Nov 2009 00:37:14 +0100

mysql-workbench (5.2.8-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 16 Nov 2009 12:24:42 -0300

mysql-workbench (5.2.7-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 21 Oct 2009 14:50:08 +0200

mysql-workbench (5.2.6-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Tue, 20 Oct 2009 22:32:21 +0200

mysql-workbench (5.2.5-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 14 Oct 2009 13:58:09 +0200

mysql-workbench (5.2.4-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Tue, 29 Sep 2009 21:28:09 -0300



=== build/debian/control ===
Source: mysql-workbench
Section: utils
Priority: extra
Maintainer: MySQL Workbench team <workbench@sun.com>
Build-Depends: debhelper (>= 5), libzip-dev, libgtkmm-2.4-dev, libxml2-dev, libmysqlclient-dev, libgl1-mesa-dev, libpcre3-dev, liblua5.1-0-dev, python-dev (>= 2.5), libgnome-keyring-dev, libsqlite3-dev, libboost-dev, xdg-utils, libctemplate-dev, cmake, libtinyxml-dev
Standards-Version: 3.7.2
Homepage: http://dev.mysql.com/workbench/

Package: mysql-workbench-gpl
Replaces: mysql-workbench-oss
Architecture: i386 amd64
Depends: ${shlibs:Depends}, python-paramiko, python-pexpect, mysql-client, python-pysqlite2
Suggests: gnome-keyring
Description: MySQL Workbench
 MySQL Workbench is a modeling tool that allows you to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.

=== build/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


INSTALL_PREFIX=/usr

ODBC_HOME=/usr/local
LINUXRES_HOME=~/linux-res-6.0/

WBDIRNAME=mysql-workbench-gpl

WBLIBPATH=$(INSTALL_PREFIX)/lib/mysql-workbench

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cmake . -DCMAKE_INSTALL_PREFIX=$(INSTALL_PREFIX)

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -j2
	#docbook-to-man debian/mysql-workbench.sgml > mysql-workbench.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mysql-workbench.
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(WBDIRNAME) install

	# Bundle pyodbc and iodbc
	cp -a $(ODBC_HOME)/bin/iodbcadm-gtk $(CURDIR)/debian/$(WBDIRNAME)/$(WBLIBPATH)
	cp -a $(ODBC_HOME)/lib/libiodbc*.so.* $(CURDIR)/debian/$(WBDIRNAME)/$(WBLIBPATH)
	cp -a $(LINUXRES_HOME)/pyodbc.so $(CURDIR)/debian/$(WBDIRNAME)/$(WBLIBPATH)
	# Bundle other unpackaged libs
	cp -a /usr/local/lib/libvsqlite* $(CURDIR)/debian/$(WBDIRNAME)/$(WBLIBPATH)
	cp -a /usr/local/lib/libmysqlcppconn* $(CURDIR)/debian/$(WBDIRNAME)/$(WBLIBPATH)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X*.sh
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	LD_LIBRARY_PATH=$(CURDIR)/debian/$(WBDIRNAME)/$(WBLIBPATH) dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
